> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/user/general/unassign-windows365.md).

# Windows365 の割り当てを解除

このユーザーの Windows 365 Cloud PC を削除

### 説明

このユーザーの Windows 365 ライセンスまたは Frontline の割り当てを削除し、他の Cloud PC が残っていない場合はプロビジョニング グループとユーザー設定グループも削除して、Cloud PC のプロビジョニングを解除します。Cloud PC のみに保存されているデータは失われます。必要に応じて猶予期間を省略し、Cloud PC をすぐに削除できます。

### ライセンス グループをドロップダウンとして提供します

ライセンス フィールドは既定ではテキスト フィールドです。ランブックのカスタマイズを使用して、あなたのテナントのライセンス グループ（または Frontline のプロビジョニング ポリシー グループ）をドロップダウンとして提供します:

```json
"rjgit-user_general_unassign-windows365": {
    "Parameters": {
        "licWin365GroupName": {
            "SelectSimple": {
                "lic - Windows 365 Enterprise - 2 vCPU 4 GB 128 GB": "lic - Windows 365 Enterprise - 2 vCPU 4 GB 128 GB",
                "lic - Windows 365 Enterprise - 2 vCPU 4 GB 256 GB": "lic - Windows 365 Enterprise - 2 vCPU 4 GB 256 GB"
            }
        }
    }
}
```

グループ名のプレフィックス（`cfgProvisioningGroupPrefix`, `cfgUserSettingsGroupPrefix`, `licWin365GroupPrefix`) ユーザーのどのグループを Windows 365 グループとして扱うかを決定します。命名が異なる場合は、同じ場所で調整してください。

ランブックのカスタマイズ方法の詳細については、 [ランブック カスタマイズ ガイド](https://docs.realmjoin.com/automation/runbooks/runbook-customization).

### 場所

ユーザー → 一般 → Windows365 の割り当て解除

**完全な Runbook 名**

rjgit-user\_general\_unassign-windows365

### 詳細

| プロパティ    | 値                                   |
| -------- | ----------------------------------- |
| バージョン    | 1.0.1                               |
| 必須モジュール  | RealmJoin.RunbookHelper (>= 0.8.10) |
| スケジュール可能 | いいえ                                 |

### 権限

#### アプリケーションのアクセス許可

* **種類**: Microsoft Graph
  * User.Read.All
    * *グループ メンバーの削除のために、UPN で対象ユーザーを特定します*
  * GroupMember.ReadWrite.All
    * *グループ メンバーを読み取り、ユーザーを Windows 365 グループから削除します*
  * Group.ReadWrite.All
    * *ライセンス グループと構成グループを検索し、それらに割り当てられたライセンスを読み取ります*
  * CloudPC.ReadWrite.All
    * *プロビジョニング ポリシーと Cloud PC を読み取り、猶予期間を終了して Cloud PC を削除します*
  * Organization.Read.All
    * */subscribedSkus を読み取り、専用プラン パスでライセンス グループの SKU を対応付けます*

### パラメーター

#### UserName

Runbook が対象とするユーザーのユーザー プリンシパル名。ポータルで選択されたユーザーから設定されます。

| プロパティ    | 値                         |
| -------- | ------------------------- |
| 必須       | true                      |
| 既定値      |                           |
| 種類       | 文字列                       |
| ポータルで非表示 | はい (Runbook のカスタマイズで事前設定) |

#### licWin365GroupName

ユーザーを削除するライセンス グループ、または割り当てを削除する Frontline プロビジョニング ポリシーの名前。

| プロパティ   | 値                                                 |
| ------- | ------------------------------------------------- |
| 必須      | false                                             |
| 既定値     | lic - Windows 365 Enterprise - 2 vCPU 4 GB 128 GB |
| 種類      | 文字列                                               |
| ポータル表示名 | 削除する Windows 365 ライセンスまたは Frontline ポリシー          |

#### cfgProvisioningGroupPrefix

プロビジョニング ポリシー グループを識別する名前のプレフィックス。runbook のカスタマイズであらかじめ設定されています。

| プロパティ    | 値                                  |
| -------- | ---------------------------------- |
| 必須       | false                              |
| 既定値      | cfg - Windows 365 - Provisioning - |
| 種類       | 文字列                                |
| ポータルで非表示 | はい (Runbook のカスタマイズで事前設定)          |

#### cfgUserSettingsGroupPrefix

ユーザー設定ポリシー グループを識別する名前のプレフィックス。runbook のカスタマイズであらかじめ設定されています。

| プロパティ    | 値                                   |
| -------- | ----------------------------------- |
| 必須       | false                               |
| 既定値      | cfg - Windows 365 - User Settings - |
| 種類       | 文字列                                 |
| ポータルで非表示 | はい (Runbook のカスタマイズで事前設定)           |

#### licWin365GroupPrefix

Windows 365 ライセンス グループを識別する名前のプレフィックス。ランブックのカスタマイズで事前設定します。

| プロパティ    | 値                              |
| -------- | ------------------------------ |
| 必須       | false                          |
| 既定値      | lic - Windows 365 Enterprise - |
| 種類       | 文字列                            |
| ポータルで非表示 | はい (Runbook のカスタマイズで事前設定)      |

#### skipGracePeriod

7 日間の猶予期間の後ではなく、Cloud PC をすぐに削除します。

| プロパティ   | 値                    |
| ------- | -------------------- |
| 必須      | false                |
| 既定値     | True                 |
| 種類      | ブール値                 |
| ポータル表示名 | Cloud PC をすぐに削除しますか? |

#### KeepUserSettingsAndProvisioningGroups

ユーザーをプロビジョニング グループとユーザー設定グループに残し、ライセンスのみを削除します。

| プロパティ   | 値                                |
| ------- | -------------------------------- |
| 必須      | false                            |
| 既定値     | False                            |
| 種類      | ブール値                             |
| ポータル表示名 | プロビジョニング グループとユーザー設定グループを保持しますか? |

[Runbook リファレンスの概要に戻る](/ja/zi-dong-hua/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/user/general/unassign-windows365.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
